%define name	mame
%define version	0.145
%define release	1rx3
%define job_nb	8





#-----------------------------------------------------------------------------------------------------------------------------------
# Package
#-----------------------------------------------------------------------------------------------------------------------------------

Summary:	Mame Arcade Game Emulator
Name:		%name
Version:	%version
Release:	%release

License:	MAME
URL:		http://rbelmont.mameworld.info/?page_id=163
Group:		Emulators
Distribution:	Rx3 Free Software
Vendor:		Rx3
Packager:	Arnaud G. Gibert <arnaud@rx3.net>

Source:		http://rbelmont.mameworld.info/%{name}-%{version}.tar.bz2
Source1:	%{name}-rc.tar.bz2
Source2:	%{name}-fonts.tar.bz2
Source3:	%{name}-free_roms.tar.bz2
Source4:	%{name}-free_samples.tar.bz2

Source10:	%{name}-catver-0.145.tar.bz2
Source11:	%{name}-cheat-0.145.tar.bz2
Source12:	%{name}-history-1.45.tar.bz2
Source13:	%{name}-mameinfo-0.145.tar.bz2

#Patch0:		sdlmame-makefile-fix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	SDL1.2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	expat-devel
BuildRequires:	zlib-devel
BuildRequires:	libxinerama-devel
ExclusiveArch:	%ix86 x86_64 ppc



%description
MAME is an arcade machine emulator, started in 1997 by Nicola Salmoria.

Mame is a virtual machine emulator: CPU emulator (Z80, 6502, 68000, I86 uP, ...)
joined to several arcade machine hardware emulators.
Each arcade emulator contains a full description about hardware, mem maps,
video, sounds and so, making possible that if you have original ROM images
of a supported arcade game, you can play the game.





#-----------------------------------------------------------------------------------------------------------------------------------
# Prep
#-----------------------------------------------------------------------------------------------------------------------------------

%prep
#%{__rm} -rf %{buildroot}

%setup -q -n %{name}-%{version}
#%patch0 -p1
perl -pi -e "s|-Werror||g" makefile

tar xjvf %{SOURCE10}
mv catveren/readme.txt			catveren/catver.txt

tar xjvf %{SOURCE11}
mv cheat/\!README_FIRST\!\!.txt		cheat/cheat-readme_first.txt

tar xjvf %{SOURCE12}
mv history/readhist.txt			history/history.txt

tar xjvf %{SOURCE13}
mv mameinfo/docs/Doc.Mameinfo.txt	mameinfo/mameinfo-doc.txt
mv mameinfo/docs/Hardware.txt		mameinfo/mameinfo-hadware.txt
mv mameinfo/docs/Newsletter.txt		mameinfo/mameinfo-newsletter.txt





#-----------------------------------------------------------------------------------------------------------------------------------
# Build
#-----------------------------------------------------------------------------------------------------------------------------------

%build

%ifarch %ix86
	%define my_arch_flags	I686=1
	%define my_c_flags	-march=pentium2 -mfpmath=387 -mmmx -ffast-math
	%define my_exec_name	%{name}
%endif
%ifarch x86_64
	%define my_arch_flags	PTR64=1
	%define my_c_flags	-march=nocona -mfpmath=sse -msse3 -ffast-math
	%define my_exec_name	%{name}64
%endif
%ifarch ppc
	%define my_arch_flags	PPC=1
	%define my_c_flags	-march=generic
	%define my_exec_name	%{name}
%endif

%{__make} -j%{job_nb} OPTIMIZE=3 SYMBOLS=1 OPT_FLAGS="%{my_c_flags} -DINI_PATH=\\\"$HOME/.mame\;.\;/etc/mame\\\"" %{my_arch_flags} all





#-----------------------------------------------------------------------------------------------------------------------------------
# Install
#-----------------------------------------------------------------------------------------------------------------------------------

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_gamesbindir}			\
	     %{buildroot}%{_sysconfdir}/%{name}			\
             %{buildroot}%{_gamesdatadir}/%{name}		\
	     %{buildroot}%{_gamesdatadir}/%{name}/fonts		\
	     %{buildroot}%{_gamesdatadir}/%{name}/keymaps	\
             %{buildroot}%{_gamesdatadir}/%{name}/{artworks,cabinets,cfgs,comments,crosshair,ctrlrs,diffs,flyers,hash,icons,inps,marquees,memcards,nvrams,pcbs,roms,samples,snaps,stas,titles}


#installing the binaries
%{__install} -m 0755 %{my_exec_name}	%{buildroot}%{_gamesbindir}/%{name}
%{__install} -m 0755 chdman		%{buildroot}%{_gamesbindir}/chdman-%{name}
%{__install} -m 0755 jedutil		%{buildroot}%{_gamesbindir}/jedutil-%{name}
%{__install} -m 0755 ldresample		%{buildroot}%{_gamesbindir}/ldresample-%{name}
%{__install} -m 0755 ldverify		%{buildroot}%{_gamesbindir}/ldverify-%{name}
%{__install} -m 0755 romcmp		%{buildroot}%{_gamesbindir}/romcmp-%{name}
%{__install} -m 0755 testkeys		%{buildroot}%{_gamesbindir}/testkeys-%{name}


#installing ini file
tar xjvf %{SOURCE1} -C 			%{buildroot}%{_sysconfdir}

#installing font file
tar xjvf %{SOURCE2} -C 			%{buildroot}%{_gamesdatadir}/%{name}

#installing keymap files
install -m 644 src/osd/sdl/keymaps/*	%{buildroot}%{_gamesdatadir}/%{name}/keymaps

#installing the mame files
install -m 644 catveren/Catver.ini	%{buildroot}%{_gamesdatadir}/%{name}/catver.ini
install -m 644 cheat/cheat.zip		%{buildroot}%{_gamesdatadir}/%{name}/cheat.zip
install -m 644 history/history.dat	%{buildroot}%{_gamesdatadir}/%{name}/history.dat
install -m 644 mameinfo/mameinfo.dat	%{buildroot}%{_gamesdatadir}/%{name}/mameinfo.dat

#installing the free roms and samples
tar xjvf %{SOURCE3} -C 			%{buildroot}%{_gamesdatadir}/%{name}
tar xjvf %{SOURCE4} -C 			%{buildroot}%{_gamesdatadir}/%{name}





#-----------------------------------------------------------------------------------------------------------------------------------
# Clean
#-----------------------------------------------------------------------------------------------------------------------------------

%clean
%{__rm} -rf %{buildroot}





#-----------------------------------------------------------------------------------------------------------------------------------
# Files
#-----------------------------------------------------------------------------------------------------------------------------------

%files
%defattr(-,root,root)

%attr(0755,root,games)     %{_gamesbindir}/%{name}*
%attr(0755,root,games)     %{_gamesbindir}/*-%{name}

%config(noreplace)         %{_sysconfdir}/%{name}/*

%doc                       whatsnew*.txt docs/* catveren/catver.txt cheat/cheat-readme_first.txt cheat/cheat.txt history/history.txt mameinfo/mameinfo-doc.txt mameinfo/mameinfo-hadware.txt mameinfo/mameinfo-newsletter.txt

%attr(655,root,games) %dir %{_gamesdatadir}/%{name}
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/artworks
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/cabinets
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/cfgs
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/comments
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/crosshair
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/ctrlrs
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/diffs
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/flyers
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/fonts
%attr(644,root,games)      %{_gamesdatadir}/%{name}/fonts/*
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/hash
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/icons
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/inps
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/keymaps
%attr(644,root,games)      %{_gamesdatadir}/%{name}/keymaps/*
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/marquees
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/memcards
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/nvrams
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/pcbs
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/roms
%attr(644,root,games)      %{_gamesdatadir}/%{name}/roms/*
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/samples
%attr(644,root,games)      %{_gamesdatadir}/%{name}/samples/*
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/snaps
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/stas
%attr(655,root,games) %dir %{_gamesdatadir}/%{name}/titles

%attr(644,root,games)      %{_gamesdatadir}/%{name}/catver.ini
%attr(644,root,games)      %{_gamesdatadir}/%{name}/cheat.zip
%attr(644,root,games)      %{_gamesdatadir}/%{name}/history.dat
%attr(644,root,games)      %{_gamesdatadir}/%{name}/mameinfo.dat

#%%attr(644,root,root)      %{_liconsdir}/%{name}.png
#%attr(644,root,root)       %{_miconsdir}/%{name}.png
#%attr(644,root,root)       %{_iconsdir}/%{name}.png





#-----------------------------------------------------------------------------------------------------------------------------------
# ChangeLog
#-----------------------------------------------------------------------------------------------------------------------------------

%changelog
* Sun Mar  4 2012 Arnaud G. Gibert <arnaud@rx3.net> 0.145-1rx3
- Update mame         to 0.145.
- Update catver.ini   to 0.145.
- Update cheat.zip    to 0.145.
- Update history.dat  to  1.45.
- Update mameinfo.dat to 0.145.
- Fix whatsnew*.txt file name in spec file.

* Sat Nov 19 2011 Arnaud G. Gibert <arnaud@rx3.net> 0.144-1rx3
- Update mame         to 0.144.
- Update history.dat  to  1.44.
- Update mameinfo.dat to 0.144.
- Update mame.ini new options.

* Mon Nov 14 2011 Arnaud G. Gibert <arnaud@rx3.net> 0.143-1rx3
- Update mame         to 0.143.
- Update catver.ini   to 0.143u4.
- Update history.dat  to  1.43a.
- Update mameinfo.dat to 0.143u9.

* Thu Apr 14 2011 Arnaud G. Gibert <arnaud@rx3.net> 0.142-1rx3
- Update mame         to 0.142.
- Update catver.ini   to 0.141u2.
- Update history.dat  to  1.41b.
- Update mameinfo.dat to 0.142a.
- Fix game data dir sub directories bad group mode.

* Sat Jan 15 2011 Arnaud G. Gibert <arnaud@rx3.net> 0.141-2rx3
- Replace outdated ui.bdf font file by FreeSansBold.ttf and set it as default in mame.ini.

* Sun Jan  9 2011 Arnaud G. Gibert <arnaud@rx3.net> 0.141-1rx3
- Update mame         to 0.141.
- Update catver.ini   to 0.141.
- Update cheat.zip    to 0.141.
- Update history.dat  to  1.41.
- Update mameinfo.dat to 0.141.
- Update mame.ini new options (hashpath, crosshairpath and uifont).
- Add hashpath and crosshairpat dir in spec file.

* Sat Nov 13 2010 Arnaud G. Gibert <arnaud@rx3.net> 0.140-1rx3
- Update mame         to 0.140.
- Update catver.ini   to 0.140.
- Update cheat.zip    to 0.140.
- Update history.dat  to  1.40.
- Update mameinfo.dat to 0.140.
- Update mame.ini.

* Fri Aug 27 2010 Arnaud G. Gibert <arnaud@rx3.net> 0.139-1rx3
- Update mame         to 0.139.
- Update catver.ini   to 0.139u1.
- Update cheat.zip    to 0.139.
- Update history.dat  to  1.39.
- Update mameinfo.dat to 0.139.

* Thu May 20 2010 Arnaud G. Gibert <arnaud@rx3.net> 0.138-1rx3
- Update mame         to 0.138.
- Update catver.ini   to 0.137u4.
- Update cheat.zip    to 0.136.
- Update history.dat  to  1.38.
- Update mameinfo.dat to 0.138.

* Sun Mar 21 2010 Arnaud G. Gibert <arnaud@rx3.net> 0.137-1rx3
- Initial Mame release, converted from my previous sdlmame spec file.
- Update catver.ini   to 0.137.
- Update history.dat  to  1.37.
- Update mameinfo.dat to 0.137.
- Add mame-fonts.tar.bz2 as a source since fonts are not included...

* Mon Jan 11 2010 Arnaud G. Gibert <arnaud@rx3.net> 0.136-1rx3
- Update sdlmame      to 0.136.
- Update catver.ini   to 0.136.
- Update cheat.zip    to 0.136.
- Update history.dat  to  1.36.
- Update mameinfo.dat to 0.136.
- Remove missing whatsnews.txt file from docs...

* Wed Dec  2 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.135-1rx3
- Update sdlmame      to 0.135.
- Update catver.ini   to 0.135u1.
- Update cheat.zip    to 0.135.
- Update history.dat  to  1.35.
- Update mameinfo.dat to 0.135.
- Add gtk+2-devel and libGConf2-devel in BuildRequires.
- Support Mandriva 2010.0 x86_64, gcc 4.4.1 and Intel QX6600 8^)

* Sat Sep 12 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.134-1rx3
- Update sdlmame      to 0.134.
- Update catver.ini   to 0.134.
- Update cheat.zip    to 0.134.
- Update history.dat  to  1.33a.
- Update mameinfo.dat to 0.134.
- Add catver.txt, cheat-read_me_first.txt and history.txt.
- Rename some others docs to improve naming consistency.
- Refresh RPM summary.

* Mon Jul 20 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.133-1rx3
- Update sdlmame      to 0.133.
- Update catver.ini   to 0.133.
- Update cheat.zip    to 0.132.
- Update mameinfo.dat to 0.133.

* Wed Jun 10 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.132-1rx3
- Update sdlmame      to 0.132.
- Update catver.ini   to 0.132.
- Update cheat.zip    to 0.131.
- Update history.dat  to  1.32.
- Update mameinfo.dat to 0.132.

* Sun Apr 26 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.131-1rx3
- Update sdlmame      to 0.131.
- Update catver.ini   to 0.131 (from http://www.progettoemma.net/?catlis).
- Update cheat.zip    to 0.130u2.
- Update history.dat  to  1.31.
- Update mameinfo.dat to 0.131.
- Add mameinfo docs.
- Switch on gl_glsl option in mame.ini.

* Sat Mar 14 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.130-1rx3
- Update sdlmame     to 0.130.
- Update catver.ini  to 0.130 (from http://www.progettoemma.net/?catlis).
- Update cheat.zip to 0.129u5.
- Update history.dat to 1.30.
- Update mameinfo.dat to 0.130.
- Add jedutil, ldresample and ldverify utilities.

* Sun Jan 11 2009 Arnaud G. Gibert <arnaud@rx3.net> 0.128-1rx3
- Update sdlmame      to 0.129.
- Update catver.ini   to 0.129 (from http://www.progettoemma.net/?catlis).
- Update history.dat  to 1.29.
- Update mameinfo.dat to 0.129.
- Update mame.ini new options.
- Add SYMBOLS=1 inorder to populate and support sdlmame-debug package.
- Support Mandriva 2009.0 x86_64, gcc 4.3.2 and Intel QX6600 8^)

* Tue Oct 28 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.128-1rx3
- Update sdlmame to 0.128.
- Remove makefile Patch!
- Update catver.ini to 0.128 (from http://www.progettoemma.net/?catlis).
- Update history.dat to 1.28.
- Update mameinfo.dat to 0.128.

* Tue Sep  2 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.127-2rx3
- Update cheat.zip to 0.127.
- Fix cheatpath in mame.ini.
- Add pcbs dir.

* Fri Aug 29 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.127-1rx3
- Update to 0.127.
- Update catver.ini to 0.127 (from http://www.progettoemma.net/?catlis).
- Update history.dat to 1.27.
- Update mameinfo.dat to 0.127.
- Update mame.ini new options.

* Thu Jul 10 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.126-1rx3
- Update to 0.126.
- Update catver.ini to 0.126 (from http://www.progettoemma.net/?catlis).
- Update history.dat to 1.26.
- Update mameinfo.dat to 0.126.
- Switch off "sdlvideofps" option in mame.ini.

* Mon May 19 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.125-3rx3
- Cleanup build section
- Support ix86 and x86_64 !

* Wed May 15 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.125-2rx3
- Patch makefile in order to fix a parallel build bug.
- Switch off "log" option in mame.ini.

* Wed May  7 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.125-1rx3
- Update to 0.125.
- Update catver.ini to 0.125 (from http://www.progettoemma.net/?catlis).
- Update history.dat to 1.25.
- Update mameinfo.dat to 0.125.

* Sun Mar 30 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.124-1rx3
- Update to 0.124.
- Update history.dat to 1.24.
- Update mameinfo.dat to 0.124.
- Rename data directories.

* Sat Mar 29 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.123-1rx3
- Update to 0.123.
- Update catver.ini to 0.124a (from http://www.progettoemma.net/?catlis).
- Update cheat.dat to 0.123.
- Update history.dat to 1.23.
- Update mameinfo.dat to 0.123.
- Remove ini patch !
- Remove hiscore.dat file,
- Remove hi directory,
- Move sdlmame data directory from /usr/lib/games to /usr/share/games,
- Rework spefile,
- Support Mandriva 2008.0 x86_64, gcc 4.2.2 and Intel QX6600 8^)

* Thu Mar 10 2007 Arnaud G. Gibert <arnaud@rx3.net> 0.113-1rx3
- Update to 0.113
- Remove keymap patch !
- Add km-fr.txt keymap.
- Add keymaps directory.
- Add testkeys utility.
- Update ini patch to new src sub dirs.
- Update cheat.dat to 0.112.
- Update mameinfo.dat to 0.113.
- Update history.dat to 1.12a.
- Update catver.ini to 0.113 (from http://www.progettoemma.net/?catlis).

* Sat Feb 10 2007 Arnaud G. Gibert <arnaud@rx3.net> 0.112-1rx3
- Intial specfile creation from my xmame and Matthias Saou sdlmame specfiles.
- Update to 0.112
- Add my keymap and ini patches.
- Update cheat.dat to 0.111.
- Update mameinfo.dat to 0.112.
- Update history.dat to 1.12.
- Update catver.ini to 0.112 (from http://www.progettoemma.net/?catlis).
- Support Mandriva 2007, gcc 4.1.1 and Intel QX6600 8^)
